Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt

Use this file to discover all available pages before exploring further.

When you create a case, you have the option to configure how certain services are executed via an orderConfig object in the request body. If you don’t define a configuration property that applies to one or more services in the package that you’re ordering, a default value will be set for that property.

Configuration properties

Configuration propertyApplicable serviceDescription
aliasNameConfigurationAll criminal screeningsDefines how to run aliases. See Alias name configuration.
ohsDrugPassportExpirationPolicyAll OHS and drug screeningsDefines how to handle expired ePassports. See OHS/Drug passport expiration policy.
lostOrIncompleteOHSDrugPolicyAll OHS and drug screeningsDefines how to handle lost or incomplete samples. See Lost or incomplete OHS/drug policy.
diluteDrugPolicyAll drug screeningsDefines how to handle dilute samples. See Dilute drug policy.
serviceConfigs.service-ohs-tb-quantiferon-gold.substitutionPolicyQuantiferon Gold / TB Blood TestDefines whether the test can be replaced. See Quantiferon Gold substitution policy.
serviceConfigs.service-ohs-tb-tspot-test.substitutionPolicyT-Spot / TB Blood TestDefines whether the test can be replaced. See T-Spot substitution policy.
serviceConfigs.9ac65633-b4c4-4062-875c-3556db9d2a08.verificationMethodEmployment VerificationDefines how to verify the candidate’s reported employment. See Employment verification method.
serviceConfigs.service-employment-income.verificationMethodEmployment Income VerificationDefines how to verify the candidate’s reported employment and income. See Employment income verification method.
serviceConfigs.85307784-1f84-471a-8596-c8ea088c3a62.verificationMethodEducation VerificationDefines how to verify the candidate’s reported education. See Education verification method.

Alias name configuration

Configuration valueDescription
no-aliasDefault, no aliases
alias-allAll aliases
alias-all+hits-onlyAll aliases, only on hits
alias-mnvMajor name variations
alias-mnv+hits-onlyMajor name variations, only on hits

OHS/Drug passport expiration policy

Configuration valueDescription
company-defaultDefault, refer to company settings
reissueAutomatically reissue
reissue-and-contactAutomatically reissue and contact customer
reissue-once-contactReissue once, then contact customer
contact-customerContact the customer
do-not-reissueDo not reissue

Lost or incomplete OHS/drug policy

Configuration valueDescription
company-defaultDefault, refer to company settings
reorderAutomatically reorder
reorder-and-contactAutomatically reorder and contact customer
reorder-once-contactReorder once, then contact customer
do-not-reorderDo not reorder

Dilute drug policy

Configuration valueDescription
company-defaultDefault, refer to company settings
reorderAutomatically reorder
reorder-and-contactAutomatically reorder and contact customer
reorder-once-contactReorder once, then contact customer
do-not-reorderDo not reorder

Quantiferon Gold substitution policy

Configuration valueDescription
company-defaultDefault, refer to company settings
replace-with-t-spotReplace with T-Spot
do-not-replaceDo not replace

T-Spot substitution policy

Configuration valueDescription
company-defaultDefault, refer to company settings
replace-with-quantiferonReplace with Quantiferon Gold
do-not-replaceDo not replace

Employment verification method

Configuration valueDescription
docs-acceptableDefault, docs are acceptable
psvPrimary source verification
psv-firstPrimary source verification first

Employment income verification method

Configuration valueDescription
docs-acceptableDefault, docs are acceptable
psvPrimary source verification
psv-firstPrimary source verification first

Education verification method

Configuration valueDescription
docs-acceptableDefault, docs are acceptable
psvPrimary source verification
psv-firstPrimary source verification first

Overriding configurations

You can override a case configuration by adding to the order (POST /case/id/{caseId}/add/services) only if the configuration doesn’t apply to any services that have already been dispatched. For example, if an Employment Income Verification was ordered during case creation, then the serviceConfigs.service-employment-income.verificationMethod property cannot be updated. Attempting to do so results in a 422 response.